<?php
if(!defined('BASE_DIR')) { die('Access Denied'); }

$cats = $_POST['category_row'];
$h = new faq_hierarchy();
$list['root'] = '';
$parentLevel = array();

foreach ($cats as $catid => $parentid) {

	if(!isset($parentLevel[$parentid])) {
		$parentLevel[$parentid] = 0;
	} else {
		$parentLevel[$parentid]++;
	}

	if(!empty($list[$parentid])) {
		$list[$catid] = $list[$parentid] . '.' . $h->numberToString($parentLevel[$parentid]);
	} else {
		$list[$catid] = $h->numberToString($parentLevel[$parentid]);
	}
}

unset($list['root']);

$result = true;

foreach($list as $catid => $hierarchy ) {
	if(!faq_data::updateCategoryOrder($catid, $hierarchy) || !$result) {
		$result = false;
	}
}


$json = array('success' => false);

if($result) {
	$json = array('success' => true);
}


echo json_encode($json);
