<?php
if(!defined('BASE_DIR')) { die('Access Denied'); }

$result = array('success' => false);
$startVersion = (int)faq_settings::get('dbversion');
$updatesDir = FAQ_ADMIN_DIR . '/updates';
$updatesToApply = array();

foreach(faq_update::$updates as $version => $update) {
	if($version > $startVersion) {
		foreach($update as $file) {
			$filePath = $updatesDir . '/' . $version .'/' . $file . '.php';
			$filePath = str_replace('..','', $filePath);
			if(is_file($filePath)) {
				include_once($filePath);
			}
		}
	}
}

$dbversion = faq_settings::update('settings', array('value' => FAQ_DATABASE_VERSION), 'name', 'dbversion');

if(!$dbversion) {
	$result['error'] = mysql_error();
	echo json_encode($result);
	die();
}

$scriptversion = faq_settings::update('settings', array('value' => FAQ_SCRIPT_VERSION), 'name', 'scriptversion');

if(!$scriptversion) {
	$result['error'] = mysql_error();
	echo json_encode($result);
	die();
}

$result = array('success' => true);

echo json_encode($result);
die();
