<?php
include_once(dirname(__FILE__) . '/faq_init.php');
?>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.13/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo FAQ_INSTALL_LOCATION; ?>js/jquery.nestedAccordion.js"></script>
<style type='text/css'>

p {margin: 0 10px 1em}
.strong{font-weight:700}
.clear {clear:both}

/* --- Links --- */
#accordion_wrapper .accordion a {padding:1px; border:1px solid #efefef; color:#06c}

#accordion_wrapper .accordion a:hover, #accordion_wrapper  a:focus, #accordion_wrapper  a:active {border-color:#b3c5db; text-decoration:none; outline:0 none}


/* --- Accordion --- */

#accordion_wrapper .accordion {margin:0; padding:0 10px}

#accordion_wrapper .accordion li {list-style-type:none}

#accordion_wrapper .accordion li.last-child {list-style-type:disc}

#accordion_wrapper .accordion .outer {border:1px solid #e0e0e0; border-width:0 1px 1px}

#accordion_wrapper .accordion .inner {margin-bottom:0; padding:10px 20px; position:relative}

#accordion_wrapper .accordion .inner .inner {padding-bottom:0}

#accordion_wrapper .accordion .h {padding-top:.3em}

#accordion_wrapper .accordion p {margin:0; padding-bottom:1em}

#accordion_wrapper .accordion a.trigger {display:block; padding: 3px 0 3px 28px; background-image: url('<?php echo FAQ_INSTALL_LOCATION; ?>img/category-closed.png'); background-repeat: no-repeat; background-position: 4px 50%;  font-weight:700}

#accordion_wrapper .accordion a.trigger.open {background-image: url('<?php echo FAQ_INSTALL_LOCATION; ?>img/category-open.png')}

#accordion_wrapper .accordion h5 > a.trigger  {background-image: url('<?php echo FAQ_INSTALL_LOCATION; ?>img/question.png')}
#accordion_wrapper .accordion h5 > a.trigger.open  {background-image: url('<?php echo FAQ_INSTALL_LOCATION; ?>img/question.png')}

#accordion_wrapper .accordion  a.trigger {background-color:#f6f6f6}

#accordion_wrapper .accordion a.trigger.open {border-color:#e0e0e0; background-color:#f0f0f0}

#accordion_wrapper .accordion a:hover.trigger.open, #accordion_wrapper a:focus.trigger.open, #accordion_wrapper a:active.trigger.open {border-color:#b3c5db}

#accordion_wrapper .accordion .active{font-weight:700; text-decoration:none}

#accordion_wrapper .accordion h4, #accordion_wrapper h5, #accordion_wrapper ul { margin: 0; }

#faq-powered-by {
	padding-top: 30px;
	font-size: 10pt;
}

</style>

<script  type="text/javascript">
$(document).ready( function (){
	$("#accordion_wrapper").accordion({
		objID: "#acc1",
		el: ".h",
		head: "h4, h5",
		next: "div",
		initShow : "h4 + div.outer:eq(0) div.outer:eq(0)"
	});

	$("#accordion_wrapper").accordion({
		objID: "#acc2",
		obj: "div",
		wrapper: "div",
		el: ".h",
		head: "h4, h5",
		next: "div",
		initShow : "h4 + div.outer:eq(1)"
	});

	$('#accordion_wrapper').each(function() {
		if($(this).css('font-family') == 'serif') {
			$(this).css('font-family', 'Arial');
			$(this).css('font-size', '0.9em');
		}
	});
});
</script>


<div id="accordion_wrapper">
<ul class="accordion" id="acc1">
<?php

function faq_accordion($categoryId=0, $notFromRoot=false) {
?>
	<?php while($cat = faq_display::subcats($categoryId, $notFromRoot)): ?>
	<li>
		<h4><?php echo $cat['name']; ?></h4>
		<div class="inner">
			<ul>
				<?php if($notFromRoot) { echo faq_accordion($categoryId); } else { echo faq_accordion($cat['categoryid']); }?>
				<?php while($q = faq_display::questions($cat['categoryid'])): ?>
				<li>
					<h5><?php echo $q['question']; ?></h5>
					<div class="inner">
						<p><?php echo nl2br($q['answer']); ?></p>
					</div>
				</li>
				<?php endwhile; ?>
			</ul>
		</div>
	</li>
	<?php if($notFromRoot) { break; } endwhile;
}
faq_display::loadCategories();
$categoryId = 0;
$flag = false;
if(isset($_GET['categoryid']) && (int)$_GET['categoryid'] > 0) {
	$categoryId = (int)$_GET['categoryid'];
	$flag = true;
}

faq_accordion($categoryId, $flag);
?>
</ul>
<div id="faq-powered-by">
	Powered by <a href="http://www.jordie.org/faq-manager.php?a">FAQ Manager</a>
</div>
</div>
