<?php

session_start();

define ('BASE_DIR', dirname(dirname(__FILE__)));
include(dirname(__FILE__) . '/common.php');

// if not logged in display login form
if((!isset($_SESSION['logged_in']) && !isset($_SESSION['install_process'])) || (isset($_SESSION['install_process']) && $_SESSION['install_process'] !== true)
	|| (isset($_SESSION['logged_in']) && $_SESSION['logged_in'] !== true))
{
	echo "Access denied.";
	die();
}



if(!isset($_POST['faq_action'])) {
	die('No action');
}

$validActions = array(
'getuserinfo',
'saveuserinfo',
'catsort',
'deletequestion',
'deletecategory',
'addcategory',
'categorylist',
'questionlist',
'sortcategory',
'addquestion',
'getcategoryinfo',
'editcategory',
'getquestioninfo',
'editquestion',
'sortquestions'
);

if(isset($_SESSION['update_process'])) {
	$validActions[] = 'update';
}


if(isset($_SESSION['install_process'])) {
	$validActions[] = 'install';
}

$action = str_replace(array('/', '.', 'php', 'phtml', "\\"), '', $_POST['faq_action']);

if(in_array(strtolower($action), $validActions)) {
	include_once(dirname(__FILE__) . '/actions/' . $action . '.php');
}