<?php
if(!defined('BASE_DIR')) { die('Access Denied'); }

$questionsQuery = faq_data::query("select * from `" . faq_data::tableName('questions') . "` order by `hierarchy` ASC");

$questionList = array();
while(($row = faq_data::row($questionsQuery))) {
	if(isset($row['categoryid'])) {
		$questionList[$row['categoryid']][] = $row;
	}
}


$finalHtml = $categoryList = $categoryHtml = '';

$categoriesQuery = faq_data::query("select * from `" . faq_data::tableName('categories') . "` order by `hierarchy` ASC");
$cat_list = $hierarchy = array();
while(($row = faq_data::row($categoriesQuery))) {
	$pre = str_repeat('- ', substr_count($row['hierarchy'], '.'));
	$categoryList .= '<option value="' . $row['categoryid'] .'">' . $pre . $row['name'] . '</option>';
	$cat_list[$row['categoryid']] = $row;
	$hierarchy[$row['categoryid']] = $row['hierarchy'];
}

class cat_list {
	public $cat_list = array();

	function get_list(&$hierarchy, $length = 2) {
		$children = '';
		$html = file_get_contents(BASE_DIR . '/faq_admin/display/category_list.phtml');
		$array ='';

		if(empty($hierarchy) || !is_array($hierarchy)) {
			return $array;
		}

		do {
			$value = current($hierarchy);
			$id = key($hierarchy);

			$thisLength = strlen(str_replace(".", "", $value));

			if($thisLength == $length) {
				next($hierarchy);

				$nextValue = current($hierarchy);
				$nextLength = strlen(str_replace(".", "", $nextValue));

				if($nextLength > $length) {
					$children = '<ol>' .$this->get_list($hierarchy, $nextLength). '</ol>';

					$nextValue = current($hierarchy);
					$nextLength = strlen(str_replace(".", "", $nextValue));

				} else {
					$children = '';
				}

				//				$level = substr_count($row['hierarchy'], '.') * 20;
				//$row['padding'] = "padding-left:" . (5 + $level) . "px;   background-position: " . (21 + $level) . "px 6px;";

				$row = $this->cat_list[$id];
				$row['children'] =  $children ;
				$parse = new faq_display_parse($html, $row);

				$array .= $parse->parse();
			}

		} while ( $nextLength >= $length ) ;

		return $array;
	}
}

$list = new cat_list();
$list->cat_list = $cat_list;
$categoryHtml = $list->get_list($hierarchy);



$result = array('category_html' => $categoryHtml, 'category_list'=> $categoryList);

echo json_encode($result);
