<?php
include(dirname(__FILE__) . '/access.php');
?>
<!doctype html>
<html>
<head>
	<title>FAQ Manager Admin</title>
	<link href="css/main.css" rel='stylesheet' type='text/css' />
	<link href="css/button.css" rel='stylesheet' type='text/css' />
	<link type="text/css" rel="stylesheet" href="css/jquery-ui.css" />
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.13/jquery-ui.min.js"></script>
	<script type="text/javascript" src="js/button.js"></script>
	<script type="text/javascript" src="js/nestedsortable.js"></script>
	<script type="text/javascript" src="js/main.js"></script>
<script type="text/javascript">

<?php
if(defined('UPDATE_SUCCESS') && UPDATE_SUCCESS) {
	echo '$(document).ready(function() { showNotification("Success", "You have successfully updated FAQ Manager to version ' . faq_update::versionFormat(FAQ_SCRIPT_VERSION) .'!", "green"); });';
}

?>
</script>

</head>

<body>
<input type="hidden" id="current_category" name="current_category" value="0" />
<div id="container1">
<div id="top-menu"><a href="" id="view_faq_link" style="border-right: 1px solid #C0C0C0;">View FAQ</a><a href="" id="user_options_link" style="border-right: 1px solid #C0C0C0;">User Options</a><a href="logout.php">Logout</a></div>
	<div id="header">
		<img src="images/logo.png" alt="FAQ Manager Logo" />  <small id="current_version">version <?php echo faq_update::versionFormat(FAQ_SCRIPT_VERSION); ?></small>
	</div>

	<div id="new-buttons">

		<div class="button" id="add-category"><div class="button-icon-bg" ><div class="button-icon"></div><div class="button-icon-loading" style="display: none;" ></div></div><div class="label">Add a new category</div><div class="right-side-button"></div></div>

		<div class="button button-new-question"  id="add-question"><div class="button-icon-bg" ><div class="button-icon"></div><div class="button-icon-loading" style="display: none;" ></div></div><div class="label">Add a new question</div><div class="right-side-button"></div></div>

	</div>

	<div id="notification-area">

		<div id="notification-outer">
			<div id="notification-inner" style="display: none" class="yellow">
				<span class="title"></span>
				<span class="message"></span>
				<a href="#" id="notification-close"><img src="images/notification_close.png" width="18" height="18" border="0" alt=""></a>
			</div>
		</div>
	</div>
</div>
<div id="container2">
	<div id="content">
		<div id="content-header">
			<div id="categories-header">
				Categories
			</div>

			<div id="questions-header">
					<span id="questions_for">Questions for "<span class="current-category-name"></span>"</span>
					<span id="questions_only">Questions</span>
			</div>

			<div id="edit-category-wrapper">
				<div id="edit-category" >
					Edit Category				</div>
			</div>
		</div>

		<div id="content-main">
			<div id="categories-list">
				<ol id="categories-list-ul" class="sortable">

				</ol>
				<div class="question_msg" id="no_cats">
					<div class="question-title">No categories available. Click 'Add a new category' above to add one.</div>
				</div>
			</div>

			<div id="questions-list">
				<!--
				<div id="questions-search-bar">
					<form>
					<input type="text" value="Search for questions" class="searchbox"/> <div class="square-button float-left"><div class="square-button-search"></div> Search</div> <input type="checkbox" name="search-only-cat" id="search-only-cat" />  <label for="search-only-cat">Search only in "<span class="current-category-name"></span>"</label>
					</form>

				</div>-->
				<div style="clear:both;">
				</div>
				<div class="question_msg" id="no_questions_in_category">
					<div class="question-title">This category has no questions. You can click the 'Add a new question' button above to add one.</div>
				</div>
				<div class="question_msg" id="no_cat_selected">
					<div class="question-title">Click a category on the left to view its questions.</div>
				</div>
				<div class="question_msg" id="loading_questions">
					<div class="question-title"><img src="images/loader.gif" /> Loading questions...</div>
				</div>

				<ul id="question-list-ul">



				</ul>
			</div>
		</div>


	</div>

<div style="clear: both;"></div>


</div>


<div style="display: none;">

<div id="add_category">
	<input type="hidden" name="category_id" id="category_id" value="0" />
	<table border="0">

		<tr>

			<td>Category Name:</td></tr><tr>
			<td><input type="text" name="category_name" id="category_name" value="" style="width: 400px;" /></td>
		</tr>
		<tr>
			<td>Parent Category:</td></tr><tr>
			<td><select id="c_category" name="c_category"  style="width: 400px;" class="c_category">
			<option value="0">No Parent</option>
			</select></td>
		</tr>
		<tr>

			<td>
			<div class="button button-save" id="save-category"><div class="button-icon-bg" ><div class="button-icon"></div><div class="button-icon-loading" style="display: none;" ></div></div><div class="label">Save Category</div><div class="right-side-button"></div></div>
			</td>
		</tr>
	</table>

</div>


<div id="add_question">
	<input type="hidden" name="q_id" id="q_id" value="0" />
	<table border="0">
		<tr>
			<td>Category:</td></tr><tr>
			<td><select id="q_category" name="q_category"  style="width: 500px;" class="q_category"></select></td>
		</tr>
		<tr>

			<td>Question:</td></tr><tr>
			<td><textarea name="q_question" id="q_question" style="width: 500px; height: 40px;"></textarea></td>
		</tr>
		<tr>
			<td>Answer:</td></tr><tr>
			<td><textarea id="q_answer" name="q_answer" style="width: 500px; height: 200px;"></textarea></td>
		</tr>

		<tr>

			<td>
				<div class="button button-save" id="save-question"><div class="button-icon-bg" ><div class="button-icon"></div><div class="button-icon-loading" style="display: none;" ></div></div><div class="label">Save Question</div><div class="right-side-button"></div></div>

</td>
		</tr>
	</table>
</div>




<div id="view_faq">
There are three display methods for your FAQ:
<ul class="view_faq_links">
<li><a href="<?php echo FAQ_INSTALL_LOCATION . "faq_accordion.php"; ?>" target="_blank">Accordion</a></li>
<li><a href="<?php echo FAQ_INSTALL_LOCATION . "faq_singlepage.php"; ?>" target="_blank">Single Page</a></li>
<li><a href="<?php echo FAQ_INSTALL_LOCATION . "faq_multipage.php"; ?>" target="_blank">Multipage</a></li>
</ul>
<br/>
The URLs for these are:
<ul class="view_faq_links">
	<li><?php echo FAQ_INSTALL_LOCATION . "faq_accordion.php"; ?></li>
	<li><?php echo FAQ_INSTALL_LOCATION . "faq_singlepage.php"; ?></li>
	<li><?php echo FAQ_INSTALL_LOCATION . "faq_multipage.php"; ?></li>
</ul>
<br/>
If you wish to include your script into another PHP CMS or page, you can use the following code:<br/>
<code style="font-size: 10pt; background-color: #EFEFEF; display: block;">
<?php
	echo "&lt;?php<br />
		include(\"".str_replace("\\", "/", dirname(dirname(__FILE__)))."/faq_accordion.php\");<br />
		?&gt;";
?>
</code>
</div>

<div id="user_options">
	<table border="0">
		<tr>
			<td>Username:</td></tr><tr>
			<td><input type="text" id="u_username" name="u_username"  style="width: 500px;" class="u_username"/></td>
		</tr>
		<tr>

			<td><br/><b>To change your password, enter your old password and your new desired password twice:</td></tr><tr>

			<td>Current Password:</td></tr><tr>
			<td><input type="password" name="u_password_old" id="u_password_old" style="width: 500px; "/></td>
		</tr><tr>
			<td>New Password:</td></tr><tr>
			<td><input type="password" name="u_password_new" id="u_password_new" style="width: 500px;"/></td>
		</tr><tr>
			<td>Confirm New Password:</td></tr><tr>
			<td><input type="password" name="u_password_new_confirm" id="u_password_new_confirm" style="width: 500px; "/></td>

		<tr>

			<td>
				<div class="button button-save" id="save-user"><div class="button-icon-bg" ><div class="button-icon"></div><div class="button-icon-loading" style="display: none;" ></div></div><div class="label">Save Changes</div><div class="right-side-button"></div></div>

</td>
		</tr>
	</table>
</div>
</div>


<div id="pg_loader">
</div>


</body>
</html>