<?php

require_once(dirname(__FILE__) . '/faq_init.php');

?>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<script  type="text/javascript">
$(document).ready( function (){
	$('#faqcontainer').each(function() {
		console.log($(this).css('font-family'));
		if($(this).css('font-family') == 'serif') {
			$(this).css('font-family', 'Arial');
			$(this).css('font-size', '0.9em');
		}
	});
});
</script>
<style>
#faq-powered-by {
	padding-top: 30px;
	font-size: 10pt;
}
</style>
<div id="faqcontainer">

<?php if(faq_display::isCategory()): ?>

	<?php if(faq_display::hasSubCats()){ ?>
		<h3>Categories</h3>
		<div id="faqlist">
			<ul>
				<?php while($cat = faq_display::subcats()): ?>
					<li><a href="<?php echo $cat['link']; ?>"><?php echo $cat['name']; ?></a></li>
				<?php endwhile; ?>
			</ul>
		</div>
	<?php } ?>

	<?php if(faq_display::hasQuestions()){ ?>
		<h3>Questions</h3>
		<div id="faqlist">
			<ul>
				<?php while($question = faq_display::questions()): ?>
					<li><a href="<?php echo $question['link']; ?>"><?php echo $question['question']; ?></a></li>
				<?php endwhile; ?>
			</ul>
		</div>
	<?php } else { ?>
		<h3>Questions</h3>
		<div id="faqlist">
			This category does not have any questions
		</div>
	<?php } ?>

<?php else: // must be a question ?>

<div id="faqcontainer">
	<h3><?php echo faq_display::question('question'); ?></h3>
	<p><?php echo nl2br(faq_display::question('answer')); ?></p>
</div>

<?php endif; //isCategory ?>
<div id="faq-powered-by">
	Powered by <a href="http://www.jordie.org/faq-manager.php?m">FAQ Manager</a>
</div>
</div>


